import {Renderer} from "@k8slens/extensions";
import {ClusterVulnerabilityReport, VulnerabilityReport} from "./types";

export class ClusterApi extends Renderer.K8sApi.KubeApi<ClusterVulnerabilityReport> {
}

export class ClusterStore extends Renderer.K8sApi.KubeObjectStore<ClusterVulnerabilityReport> {
    api = new ClusterApi({
        objectConstructor: ClusterVulnerabilityReport
    })
}

export class Api extends Renderer.K8sApi.KubeApi<VulnerabilityReport> {
}

export class Store extends Renderer.K8sApi.KubeObjectStore<VulnerabilityReport> {
    api = new Api({
        objectConstructor: VulnerabilityReport
    })
}

export const store = new Store();
export const clusterStore = new ClusterStore();

Renderer.K8sApi.apiManager.registerStore(store);
Renderer.K8sApi.apiManager.registerStore(clusterStore);
